Bug 103474 - Add XIM support
Summary: Add XIM support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Stefan Walter
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-09-22 06:10 UTC by Takeshi MUTOH
Modified: 2006-10-05 20:24 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Takeshi MUTOH 2006-09-22 06:10:18 UTC
For CJK people, they must input their character using some input
method(IM).
There is additional XIM support patches for Squeak.
So I try to merge it to lang/squeak.

Fix: Please apply patch below.



--
Takeshi MUTOH	<mutoh@openedu.org>--RMUvQZMWzaFnNIczjVRtZGDjbwK85sx9RxCpml8KUOMIExHy
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

diff -ruN /usr/ports/lang/squeak/Makefile squeak/Makefile
--- /usr/ports/lang/squeak/Makefile	Sun Jul 30 07:26:02 2006
+++ squeak/Makefile	Fri Sep 22 13:11:55 2006
@@ -15,12 +15,16 @@
 			ftp://ftp.cs.uni-magdeburg.de/pub/Smalltalk/Smalltalk/Squeak/3.6/ \
 			ftp://ftp.cs.uni-magdeburg.de/pub/Smalltalk/Smalltalk/Squeak/3.6/unix-linux/ \
 			http://www-sor.inria.fr/~piumarta/squeak/unix/release/ \
-			http://www.squeakland.org/installers/
+			http://www.squeakland.org/installers/ \
+			http://www.squeakland.jp/plugin/installers/ \
+			http://squeak.610t.org/patches/
 DISTFILES=		Squeak-${VMVERSION}.src.tar.gz \
 			Squeak${IMAGEVERSION}-${PATCHNUMBER}-basic.zip \
 			Squeak${IMAGEVERSION}-${PATCHNUMBER}-full.zip \
 			SqueakPlugin.zip \
-			SqueakV3.sources.gz
+			SqueakV3.sources.gz \
+			${XIM_PATCH} \
+			${JAPANESE_PLUGIN_IMAGE}
 EXTRACT_ONLY=		Squeak-${VMVERSION}.src.tar.gz
 
 ##################################################
@@ -41,10 +45,16 @@
 OPTIONS+=		RFB		"remote frame buffer support" on
 OPTIONS+=		FFI		"libffi support" off
 OPTIONS+=		X		"X Windows support" on
+OPTIONS+=		XIM		"XIM support (Implies X)" off
 
 .include <bsd.port.pre.mk>
 
 ##################################################
+XIM_PATCH=		SqueakImmX11Plugin2c.tar.gz
+PLUGIN_IMAGE=		SqueakPlugin.zip
+JAPANESE_PLUGIN_IMAGE=		SqueakPlugin2005J.zip
+
+##################################################
 DIST_SUBDIR=		squeak
 ONLY_FOR_ARCHS=		i386
 MAN1=			inisqueak.1 squeak.1
@@ -113,6 +123,16 @@
 PLIST_FFI=		"@comment feature not wanted - "
 .endif
 
+.if defined(WITH_XIM)
+PLIST_XIM=
+WITH_X=			yes
+USE_ICONV=		yes
+PLUGIN_IMAGE=		${JAPANESE_PLUGIN_IMAGE}
+EXT_PLUGINS+=		ImmX11Plugin
+.else
+PLIST_XIM=		"@comment feature not wanted - "
+.endif
+
 .ifdef (CC)
 MAKE_ARGS+=		CC="${CC}"
 .endif
@@ -130,7 +150,8 @@
 			VMVERSION=${VMVERSION}\
 			PLIST_NPSQUEAK=${PLIST_NPSQUEAK}\
 			PLIST_X=${PLIST_X} \
-			PLIST_FFI=${PLIST_FFI}
+			PLIST_FFI=${PLIST_FFI} \
+			PLIST_XIM=${PLIST_XIM}
 
 ##################################################
 post-patch:
@@ -139,6 +160,12 @@
 		-e "s,%%X11BASE%%,${X11BASE},g" \
 		${WRKSRC}/platforms/unix/npsqueak/npsqueakregister.in \
 		${WRKSRC}/platforms/unix/npsqueak/Makefile
+.if defined(WITH_XIM)
+	@cd ${WRKSRC} && \
+		${EXTRACT_CMD} ${EXTRACT_BEFORE_ARGS} ${_DISTDIR}/${XIM_PATCH} ${EXTRACT_AFTER_ARGS}
+	@cd ${WRKSRC} && \
+		${PATCH} -p0 < ImmX11.patch
+.endif
 # Fix external plugins
 	@${ECHO_MSG} "EXTERNAL_PLUGINS = B3DAcceleratorPlugin UnixOSProcessPlugin XDisplayControlPlugin ${EXT_PLUGINS}" > ${WRKSRC}/src/plugins.ext
 
@@ -164,7 +191,7 @@
 	(cd ${WRKDIR} && ${GZIP_CMD} ${file} && ${INSTALL_DATA} ${file}.gz ${PREFIX}/share/squeak/)
 .endfor
 .if defined(WITH_NPSQUEAK)
-	(cd ${DISTDIR}/${DIST_SUBDIR} && ${UNZIP_CMD} -u SqueakPlugin.zip -d ${WRKDIR})
+	(cd ${DISTDIR}/${DIST_SUBDIR} && ${UNZIP_CMD} -u ${PLUGIN_IMAGE} -d ${WRKDIR})
 	(cd ${WRKDIR} && ${INSTALL_DATA} SqueakPlugin.image ${PREFIX}/share/squeak/npsqueak.image)
 .endif
 	${SED}	-e 's|VERSION=3.5-5180|VERSION=${IMAGEVERSION}-${PATCHNUMBER}|' \
diff -ruN /usr/ports/lang/squeak/distinfo squeak/distinfo
--- /usr/ports/lang/squeak/distinfo	Fri Jun  9 07:24:36 2006
+++ squeak/distinfo	Wed Sep 20 09:38:45 2006
@@ -13,3 +13,9 @@
 MD5 (squeak/SqueakV3.sources.gz) = 7dc6b3840e6bc1e5f81e3717fb46d2c3
 SHA256 (squeak/SqueakV3.sources.gz) = 6d8262b61d5608de36eff5cb930ea8aa588b7402c0a963680b07ff664ba74d02
 SIZE (squeak/SqueakV3.sources.gz) = 3476504
+MD5 (squeak/SqueakImmX11Plugin2c.tar.gz) = 178af6041a3f745185140d1a9629976c
+SHA256 (squeak/SqueakImmX11Plugin2c.tar.gz) = 98446e852319bd28c565cb1695b4ab616620260495c50f9c715214630ecdd1b9
+SIZE (squeak/SqueakImmX11Plugin2c.tar.gz) = 11570
+MD5 (squeak/SqueakPlugin2005J.zip) = 47dafa5fa4c9c60982227a6bf97419f8
+SHA256 (squeak/SqueakPlugin2005J.zip) = a9b5bbc50742fea6172bb0ca99cef1244ce1f75ba46c20569316da3fbe909232
+SIZE (squeak/SqueakPlugin2005J.zip) = 7921994
diff -ruN /usr/ports/lang/squeak/pkg-message squeak/pkg-message
--- /usr/ports/lang/squeak/pkg-message	Sun Jul 30 05:48:49 2006
+++ squeak/pkg-message	Fri Sep 22 13:32:27 2006
@@ -13,5 +13,10 @@
 
  If you want to use web browser plugin,
     run %%PREFIX%%/share/squeak/npsqueakregister.
+
+ If you want to use (Japanese) XIM at full screen,
+    you get changeset at
+	http://squeak.610t.org/patches/CompositionFocus.1.cs
+     and file in it.
  ------------------ Thanks for your attention! ------------------
 
diff -ruN /usr/ports/lang/squeak/pkg-plist squeak/pkg-plist
--- /usr/ports/lang/squeak/pkg-plist	Wed Jun 14 07:01:23 2006
+++ squeak/pkg-plist	Fri Sep 22 13:44:32 2006
@@ -9,6 +9,7 @@
 %%PLIST_X%%%%DATADIR%%/%%VMVERSION%%/B3DAcceleratorPlugin
 %%DATADIR%%/%%VMVERSION%%/UnixOSProcessPlugin
 %%PLIST_X%%%%DATADIR%%/%%VMVERSION%%/XDisplayControlPlugin
+%%PLIST_XIM%%share/squeak/%%VMVERSION%%/ImmX11Plugin
 %%PLIST_FFI%%%%DATADIR%%/%%VMVERSION%%/SqueakFFIPrims
 %%PLIST_NPSQUEAK%%%%DATADIR%%/npsqueak.image
 %%PLIST_NPSQUEAK%%%%DATADIR%%/%%VMVERSION%%/npsqueak.so
How-To-Repeat: 
None.
Comment 1 Edwin Groothuis freebsd_committer 2006-09-22 13:49:31 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 chris 2006-09-26 19:16:20 UTC
Edwin, I can't say nothing about the patch but I trust Takeshi MUTOH who
has submitted the update. It might also be a good idea if he can take the
maintainership of lang/squeak as my work has moved to other issues. But I
don't know if he is willing to do so!

best regards - Chris

> Maintainer of lang/squeak,
>
> Please note that PR ports/103474 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/103474
>
> --
> Edwin Groothuis
> edwin@FreeBSD.org
>
Comment 3 Stefan Walter freebsd_committer 2006-10-03 12:28:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stefan

Take.
Comment 4 Stefan Walter freebsd_committer 2006-10-03 12:40:32 UTC
Chris Burkert wrote:

> Edwin, I can't say nothing about the patch but I trust Takeshi MUTOH who
> has submitted the update. It might also be a good idea if he can take the
> maintainership of lang/squeak as my work has moved to other issues. But I
> don't know if he is willing to do so!
> 
> best regards - Chris

Hello Takeshi-san,

I have tested building the port with your patch and would commit it (with
a PORTREVISION bump), since Chris doesn't have any objections, either.
Chris also seems to be willing to pass lang/squeak to you. Do you want to
take over maintainership of the port at this point?

Regards,
Stefan
Comment 5 Takeshi MUTOH 2006-10-03 23:53:15 UTC
Hello Stefan,

At Tue, 3 Oct 2006 13:40:32 +0200,
Stefan Walter <stefan@FreeBSD.org> wrote:
> > Edwin, I can't say nothing about the patch but I trust Takeshi MUTOH who
> > has submitted the update. It might also be a good idea if he can take the
> > maintainership of lang/squeak as my work has moved to other issues. But I
> > don't know if he is willing to do so!
> > 
> > best regards - Chris
> 
> Hello Takeshi-san,
> 
> I have tested building the port with your patch and would commit it (with
> a PORTREVISION bump), since Chris doesn't have any objections, either.

Thank you for checking my patch.

> Chris also seems to be willing to pass lang/squeak to you. Do you want to
> take over maintainership of the port at this point?

Well, I create some patches for lang/squeak,
 but I hope it checked by other's eye.
So, I want that maintainer is someone except me.
Of cource, I check my patch carefully.

But (ports) committer check maintainer's patch carefully,
 I can take maintaintershpif of lang/squeak.

Thanks.
--
Takeshi MUTOH <mutoh@openedu.org>
Comment 6 Stefan Walter freebsd_committer 2006-10-04 08:40:08 UTC
Takeshi MUTOH, 04.10.06, 00:53h CEST:

> > Chris also seems to be willing to pass lang/squeak to you. Do you want to
> > take over maintainership of the port at this point?
> 
> Well, I create some patches for lang/squeak,
>  but I hope it checked by other's eye.
> So, I want that maintainer is someone except me.
> Of cource, I check my patch carefully.
> 
> But (ports) committer check maintainer's patch carefully,
>  I can take maintaintershpif of lang/squeak.

It's always possible to work with the committers to make sure a port
follows the rules. However, committers cannot verify correct functionality
of the software itself in many cases; I, for instance, don't know
SmallTalk and thus don't use lang/squeak, but I verified that the port
builds, installs and deinstalls correctly with your patch. So if you send
a patch that might break the port, it will be noticed in most cases and
can be corrected before it is committed.

If you're willing to take over under these premissions, please let me
know.

Regards,
Stefan Walter
Comment 7 Takeshi MUTOH 2006-10-05 08:28:55 UTC
At Wed, 4 Oct 2006 09:40:08 +0200,
Stefan Walter <stefan@FreeBSD.org> wrote:
> > > Chris also seems to be willing to pass lang/squeak to you. Do you want to
> > > take over maintainership of the port at this point?
> > Well, I create some patches for lang/squeak,
> >  but I hope it checked by other's eye.
> > So, I want that maintainer is someone except me.
> > Of cource, I check my patch carefully.
> > 
> > But (ports) committer check maintainer's patch carefully,
> >  I can take maintaintershpif of lang/squeak.
> It's always possible to work with the committers to make sure a port
> follows the rules. However, committers cannot verify correct functionality
> of the software itself in many cases; I, for instance, don't know
> SmallTalk and thus don't use lang/squeak, but I verified that the port
> builds, installs and deinstalls correctly with your patch. So if you send
> a patch that might break the port, it will be noticed in most cases and
> can be corrected before it is committed.

Ok, the commiter check my build is enough.
# And I create update more carefully.

> If you're willing to take over under these premissions, please let me
> know.

I heard Chris is very busy now.
So, I take over maintainer ship now.

And if Chris become to maintain lang/squeak,
 please take back maintainership from me ;-)

Please update MAINTAINER fileld by my e-mail address mutoh@openedu.org.

Thanks.
--
Takeshi MUTOH <mutoh@openedu.org>
Comment 8 dfilter service freebsd_committer 2006-10-05 20:17:06 UTC
stefan      2006-10-05 19:16:59 UTC

  FreeBSD ports repository

  Modified files:
    lang/squeak          Makefile distinfo pkg-message pkg-plist 
  Log:
  - Add XIM support.
  - Transfer maintainership to submitter.
  
  PR:             103474
  Submitted by:   Takeshi MUTOH <mutoh@openedu.org>
  Approved by:    old maintainer
  
  Revision  Changes    Path
  1.8       +33 -6     ports/lang/squeak/Makefile
  1.4       +6 -0      ports/lang/squeak/distinfo
  1.2       +5 -0      ports/lang/squeak/pkg-message
  1.5       +1 -0      ports/lang/squeak/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Stefan Walter freebsd_committer 2006-10-05 20:23:52 UTC
State Changed
From-To: feedback->closed

Changes committed, thanks!